Bug 77218 - [BDW]Piglit some spec/OpenGL_1.1/depthstencil-default_fb* cases segfault
Summary: [BDW]Piglit some spec/OpenGL_1.1/depthstencil-default_fb* cases segfault
Status: VERIFIED FIXED
Alias: None
Product: Mesa
Classification: Unclassified
Component: Drivers/DRI/i965 (show other bugs)
Version: unspecified
Hardware: All Linux (All)
: medium major
Assignee: Ian Romanick
QA Contact: Intel 3D Bugs Mailing List
URL:
Whiteboard:
Keywords:
Depends on:
Blocks:
 
Reported: 2014-04-09 05:46 UTC by lu hua
Modified: 2014-06-06 06:42 UTC (History)
0 users

See Also:
i915 platform:
i915 features:


Attachments

Note You need to log in before you can comment on or make changes to this bug.
Description lu hua 2014-04-09 05:46:46 UTC
System Environment:
--------------------------
Platform: Broadwell
Libdrm:		(master)libdrm-2.4.52-10-g1cb5fc706cf5913d9dee33c939f65a23ecea17a5
Mesa:		(master)159cec9dec2320d821d388c0df8140c7705b6e0b
Xserver:	(master)xorg-server-1.15.99.901-204-g901fbfbbbd71c0d82080957f8ba09eebbc786f2b
Xf86_video_intel:(master)2.99.911-44-g3310ee89c1f1a663de5f5b12b8125809a213996f
Cairo:		(master)bb17403622e9ea474017e0039af8ee48b2b285db
Libva:		(staging)960352aaf1e11891a533ce2c98b16edde24d6851
Libva_intel_driver:(staging)150f67c67bd92cd201b75a92388fe3a63b00cd8a
Kernel:	(drm-intel-nightly) 7cd8b823493acc320c7db9112de9d4e21c6dbd11

Bug detailed description:
-----------------------------
Following spec_OpenGL_1.1_depthstencil-default_fb* cases segfault on Broadwell with Mesa master branch, but work well on Haswell.
spec_OpenGL_1.1_depthstencil-default_fb-copypixels_samples=2
spec_OpenGL_1.1_depthstencil-default_fb-copypixels_samples=4
spec_OpenGL_1.1_depthstencil-default_fb-copypixels_samples=6
spec_OpenGL_1.1_depthstencil-default_fb-copypixels_samples=8
spec_OpenGL_1.1_depthstencil-default_fb-drawpixels-24_8_samples=2
spec_OpenGL_1.1_depthstencil-default_fb-drawpixels-24_8_samples=4
spec_OpenGL_1.1_depthstencil-default_fb-drawpixels-24_8_samples=6
spec_OpenGL_1.1_depthstencil-default_fb-drawpixels-24_8_samples=8
spec_OpenGL_1.1_depthstencil-default_fb-drawpixels-32F_24_8_REV_samples=2
spec_OpenGL_1.1_depthstencil-default_fb-drawpixels-32F_24_8_REV_samples=4
spec_OpenGL_1.1_depthstencil-default_fb-drawpixels-32F_24_8_REV_samples=6
spec_OpenGL_1.1_depthstencil-default_fb-drawpixels-32F_24_8_REV_samples=8
spec_OpenGL_1.1_depthstencil-default_fb-drawpixels-FLOAT-and-USHORT_samples=2
spec_OpenGL_1.1_depthstencil-default_fb-drawpixels-FLOAT-and-USHORT_samples=4
spec_OpenGL_1.1_depthstencil-default_fb-drawpixels-FLOAT-and-USHORT_samples=6
spec_OpenGL_1.1_depthstencil-default_fb-drawpixels-FLOAT-and-USHORT_samples=8

run ./bin/fbo-depthstencil copypixels default_fb -samples=2 -auto
output:
Testing default_fb.
Testing glCopyPixels(depthstencil).
Segmentation fault (core dumped)

(gdb) bt
#0  0x00007ffff403700e in _swrast_unmap_texture (ctx=ctx@entry=0x7ffff3e56038, texObj=0xab5600) at swrast/s_texture.c:329
#1  0x00007ffff4037142 in _swrast_unmap_textures (ctx=ctx@entry=0x7ffff3e56038) at swrast/s_texture.c:372
#2  0x00007ffff4006db9 in _swrast_span_render_finish (ctx=0x7ffff3e56038) at swrast/s_context.c:885
#3  0x00007ffff4006b15 in swrast_render_finish (ctx=0x7ffff3e56038) at swrast/s_context.h:379
#4  _swrast_CopyPixels (ctx=ctx@entry=0x7ffff3e56038, srcx=srcx@entry=62, srcy=srcy@entry=62, width=width@entry=61, height=height@entry=61, destx=destx@entry=0,
    desty=desty@entry=0, type=type@entry=34041) at swrast/s_copypix.c:668
#5  0x00007ffff4054f7d in _mesa_meta_CopyPixels (ctx=ctx@entry=0x7ffff3e56038, srcX=srcX@entry=62, srcY=srcY@entry=62, width=width@entry=61, height=height@entry=61,
    dstX=dstX@entry=0, dstY=dstY@entry=0, type=type@entry=34041) at drivers/common/meta.c:1785
#6  0x00007ffff4147dcd in intelCopyPixels (ctx=0x7ffff3e56038, srcx=62, srcy=62, width=61, height=61, destx=0, desty=0, type=34041) at intel_pixel_copy.c:214
#7  0x00007ffff3efc0ed in _mesa_CopyPixels (srcx=62, srcy=62, width=61, height=61, type=34041) at main/drawpix.c:269
#8  0x00007ffff7d16457 in stub_glCopyPixels (x=62, y=62, width=61, height=61, type=34041) at /GFX/Test/Piglit/piglit/tests/util/generated_dispatch.c:4574
#9  0x0000000000402768 in test_copy () at /GFX/Test/Piglit/piglit/tests/fbo/fbo-depthstencil.c:367
#10 0x0000000000402b6f in piglit_display () at /GFX/Test/Piglit/piglit/tests/fbo/fbo-depthstencil.c:467
#11 0x00007ffff7d0abf3 in run_test (gl_fw=0x604010, argc=3, argv=0x7fffffffe298) at /GFX/Test/Piglit/piglit/tests/util/piglit-framework-gl/piglit_winsys_framework.c:76
#12 0x00007ffff7d07127 in piglit_gl_test_run (argc=3, argv=0x7fffffffe298, config=0x7fffffffe160) at /GFX/Test/Piglit/piglit/tests/util/piglit-framework-gl.c:191
#13 0x0000000000401935 in main (argc=3, argv=0x7fffffffe298) at /GFX/Test/Piglit/piglit/tests/fbo/fbo-depthstencil.c:43

Reproduce steps:
----------------------------
1. xinit
2. ./bin/fbo-depthstencil copypixels default_fb -samples=2 -auto
Comment 1 Kenneth Graunke 2014-06-03 22:17:21 UTC
Fixed in master.
Comment 2 lu hua 2014-06-06 06:42:53 UTC
Verified.Fixed.


Use of freedesktop.org services, including Bugzilla, is subject to our Code of Conduct. How we collect and use information is described in our Privacy Policy.